### Function

# PangoCairo.update_layout

#### Declaration [src]

    void
    pango_cairo_update_layout (
      cairo_t* cr,
      PangoLayout* layout
    )

#### Description [src]

Updates the private `PangoContext` of a `PangoLayout` created with `pango_cairo_create_layout()` to match the current transformation and target surface of a Cairo context.

#### Parameters

`cr` | `cairo_t*`
| a Cairo context
| Ownership is not transferred to the callee
`layout` | `PangoLayout*`
| a `PangoLayout`, from `pango_cairo_create_layout()`
| Ownership is not transferred to the callee